Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.nio
Class DefaultServerIOEventDispatch

    java.lang.Object
      org.apache.http.impl.nio.reactor.AbstractIODispatch<NHttpServerIOTarget>
          org.apache.http.impl.nio.DefaultServerIOEventDispatch

All Implemented Interfaces:
  IOEventDispatch

Direct Known Subclasses:
  SSLServerIOEventDispatch

Deprecated. (4.2) use `DefaultHttpServerIODispatch`

    @Deprecated
    @Contract(threading=IMMUTABLE_CONDITIONAL)
    public class DefaultServerIOEventDispatch

extends AbstractIODispatch<NHttpServerIOTarget>

Default implementation of `IOEventDispatch` interface for plain (unencrypted) server-side HTTP connections.

Since:
  4.0

Field Summary
`protected ByteBufferAllocator` | `allocator` Deprecated.
`protected NHttpServiceHandler` | `handler` Deprecated.
`protected HttpParams` | `params` Deprecated.

Fields inherited from interface org.apache.http.nio.reactor.IOEventDispatch
`CONNECTION_KEY`

Constructor Summary
`DefaultServerIOEventDispatch(NHttpServiceHandler handler, HttpParams params)` Deprecated. Creates a new instance of this class to be used for dispatching I/O event notifications to the given protocol handler.

Method Summary
`protected ByteBufferAllocator` | `createByteBufferAllocator()` Deprecated. Creates an instance of `HeapByteBufferAllocator` to be used by HTTP connections for allocating `ByteBuffer` objects.
`protected NHttpServerIOTarget` | `createConnection(IOSession session)` Deprecated. Creates an instance of `DefaultNHttpServerConnection` based on the given `IOSession`.
`protected HttpRequestFactory` | `createHttpRequestFactory()` Deprecated. Creates an instance of `DefaultHttpRequestFactory` to be used by HTTP connections for creating `HttpRequest` objects.
`protected void` | `onClosed(NHttpServerIOTarget conn)` Deprecated.
`protected void` | `onConnected(NHttpServerIOTarget conn)` Deprecated.
`protected void` | `onException(NHttpServerIOTarget conn, IOException ex)` Deprecated.
`protected void` | `onInputReady(NHttpServerIOTarget conn)` Deprecated.
`protected void` | `onOutputReady(NHttpServerIOTarget conn)` Deprecated.
`protected void` | `onTimeout(NHttpServerIOTarget conn)` Deprecated.

Methods inherited from class org.apache.http.impl.nio.reactor.AbstractIODispatch
`connected, disconnected, inputReady, outputReady, timeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### allocator

    protected final ByteBufferAllocator allocator

  Deprecated.

### handler

    protected final NHttpServiceHandler handler

  Deprecated.

### params

    protected final HttpParams params

  Deprecated.

Constructor Detail

### DefaultServerIOEventDispatch

    public DefaultServerIOEventDispatch(NHttpServiceHandler handler,
                                        HttpParams params)

  Deprecated.
  Creates a new instance of this class to be used for dispatching I/O event notifications to the given protocol handler.

  Parameters:
    `handler` - the server protocol handler.
    `params` - HTTP parameters.

Method Detail

### createByteBufferAllocator

    protected ByteBufferAllocator createByteBufferAllocator()

  Deprecated.
  Creates an instance of `HeapByteBufferAllocator` to be used by HTTP connections for allocating `ByteBuffer` objects.

  This method can be overridden in a super class in order to provide a different implementation of the `ByteBufferAllocator` interface.

  Returns:
    byte buffer allocator.

### createHttpRequestFactory

    protected HttpRequestFactory createHttpRequestFactory()

  Deprecated.
  Creates an instance of `DefaultHttpRequestFactory` to be used by HTTP connections for creating `HttpRequest` objects.

  This method can be overridden in a super class in order to provide a different implementation of the `HttpRequestFactory` interface.

  Returns:
    HTTP request factory.

### createConnection

    protected NHttpServerIOTarget createConnection(IOSession session)

  Deprecated.
  Creates an instance of `DefaultNHttpServerConnection` based on the given `IOSession`.

  This method can be overridden in a super class in order to provide a different implementation of the `NHttpServerIOTarget` interface.

  Specified by:
    `createConnection` in class `AbstractIODispatch<NHttpServerIOTarget>`
  Parameters:
    `session` - the underlying I/O session.
  Returns:
    newly created HTTP connection.

### onConnected

    protected void onConnected(NHttpServerIOTarget conn)

  Deprecated.
  Specified by:
    `onConnected` in class `AbstractIODispatch<NHttpServerIOTarget>`

### onClosed

    protected void onClosed(NHttpServerIOTarget conn)

  Deprecated.
  Specified by:
    `onClosed` in class `AbstractIODispatch<NHttpServerIOTarget>`

### onException

    protected void onException(NHttpServerIOTarget conn,
                               IOException ex)

  Deprecated.
  Specified by:
    `onException` in class `AbstractIODispatch<NHttpServerIOTarget>`

### onInputReady

    protected void onInputReady(NHttpServerIOTarget conn)

  Deprecated.
  Specified by:
    `onInputReady` in class `AbstractIODispatch<NHttpServerIOTarget>`

### onOutputReady

    protected void onOutputReady(NHttpServerIOTarget conn)

  Deprecated.
  Specified by:
    `onOutputReady` in class `AbstractIODispatch<NHttpServerIOTarget>`

### onTimeout

    protected void onTimeout(NHttpServerIOTarget conn)

  Deprecated.
  Specified by:
    `onTimeout` in class `AbstractIODispatch<NHttpServerIOTarget>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.